<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <style>
        [v-v-cloak]{
            display: none;
        }
    </style>
</head>
<body>
    <div id="demo"> 
        <p ref="content">www.baidu</p>
        <button @click="hint">提示</button>
        <p v-cloak>{{msg}}</p>
    </div>



    <script>
        
        new Vue({
            el:"#demo",
            data:{
                msg:'百度'
            },
            methods:{
                hint(){
                    // ref:指定唯一标识，Vue对象通过$els属性访问这个元素对象
                    alert(this.$refs.content.textContent)
                }
            }
        })
    </script>
</body>
</html>